Subject: Bug#1225: [X2Go-Dev] x2goclient / pyhoca does not honor ProxyJump in .ssh/config

From: Mihai Moldovan <[email-masked]>
Date: Tue, 24 Oct 2017 10:08:38 +0200

Control: reassign -1 x2goclient

On 10/17/2017 03:01 PM, Filip Krikava wrote:
> Due to the configuration of the university network, I have to first connect to a
> frontend, then to a node and then to a VM. To make this easy to use, I set
> ProxyJump in my .ssh/config. This works really well for ssh. However, it does
> not seem to be recognized by x2go. I have to manually tunnel the ssh port from
> the VM on my localhost to be able to connect there via x2go. The same is for
> pyhoca-cli 0.5.0.3.

There is currently nothing that we could do about this.

The underlying SSH implementations - libssh for X2Go Client and paramiko for
PyHoca - do not support ProxyJump (yet.)

libssh might at some point do this, paramiko probably won't at all[0].

Mihai

[0] https://github.com/paramiko/paramiko/issues/1018